# Node.js with Angular
# Build a Node.js project that uses Angular.
# Add steps that analyze code, save build artifacts, deploy, and more:
# https://docs.microsoft.com/azure/devops/pipelines/languages/javascript

trigger:
- master

pool:
  vmImage: 'ubuntu-latest'


steps:



- task: ArchiveFiles@2
  inputs:
    rootFolderOrFile: '.'
    includeRootFolder: true
    archiveType: 'zip'
    archiveFile: 'artifact.zip'
    replaceExistingArchive: true

- task: CopyFiles@2
  inputs:
    SourceFolder: '$(System.DefaultWorkingDirectory)'
    Contents: |
      *.zip
    TargetFolder: '$(Build.ArtifactStagingDirectory)'



- task: PublishBuildArtifacts@1
  inputs:
    artifactName: 'bolo_client'

